# Event::set

(PECL libevent >= 0.0.1)

Event::set — Re-configures event

### Description

public Event::set ( EventBase `$base` , mixed `$fd` [, int `$what` [, callable `$cb` [, mixed `$arg` ]]] ) : bool

Re-configures event. Note, this function doesn't invoke obsolete libevent's event_set. It calls event_assign instead.

### Parameters

`base`

  The event base to associate the event with.

`fd`

  Stream resource, socket resource, or numeric file descriptor. For timer events pass `-1` . For signal events pass the signal number, e.g. `SIGHUP` .

`what`

  See Event flags .

`cb`

  The event callback. See Event callbacks .

`arg`

  Custom data associated with the event. It will be passed to the callback when the event becomes active.

### Return Values

Returns `TRUE` on success. Otherwise `FALSE`.